﻿Public Class Form1
    Private Sub Form1_Load() Handles MyBase.Load
        TestShadows()
    End Sub

    Public Class Person
        Public LastName As String
        Public EmployeeId As String
    End Class

    Public Class Employee
        Inherits Person
        Public Shadows EmployeeId As Long
    End Class

    Public Class Manager
        Inherits Employee
        Public Shadows LastName As String
    End Class

    Private Sub TestShadows()
        Dim txt As String = ""

        Dim mgr As New Manager
        mgr.LastName = "Manager Last Name"
        mgr.EmployeeId = 1

        Dim emp As Employee = CType(mgr, Employee)
        emp.LastName = "Employee Last Name"
        emp.EmployeeId = 2

        Dim per As Person = CType(mgr, Person)
        per.LastName = "Person Last Name"
        per.EmployeeId = "A"

        txt &= "Manager:  " & mgr.EmployeeId & ": " & mgr.LastName & vbCrLf
        txt &= "Employee: " & emp.EmployeeId & ": " & emp.LastName & vbCrLf
        txt &= "Person:   " & per.EmployeeId & ": " & per.LastName & vbCrLf

        txtResults.Text = txt
        txtResults.Select(0, 0)
    End Sub
End Class
