﻿Public Class Form1
    Private the_items As New MostRecentList(Of String)(4)

    Private Sub Form1_Load() Handles MyBase.Load
        the_items.Add("Apple")
        the_items.Add("Banana")
        the_items.Add("Cherry")
        the_items.Add("Date")
        the_items.Add("Banana")
        the_items.Add("Fig")
        ShowItems()
    End Sub

    ' Display the items in the list.
    Private Sub ShowItems()
        Dim txt As String = ""
        For i As Integer = 0 To the_items.Count - 1
            txt &= the_items.Item(i) & vbCrLf
        Next i
        lblItems.Text = txt
    End Sub

    ' Change the maximum number of items in the list.
    Private Sub txtMaxItems_TextChanged() Handles txtMaxItems.TextChanged
        Try
            Dim max_items As Integer = Integer.Parse(txtMaxItems.Text)
            If max_items > 0 And max_items < 10 Then
                the_items.MaxItems = max_items
                ShowItems()
            End If
        Catch ex As Exception
        End Try
    End Sub

    ' Add an item to the list.
    Private Sub btnAdd_Click() Handles btnAdd.Click
        the_items.Add(txtNewItem.Text)
        txtNewItem.Text = ""
        txtNewItem.Focus()
        ShowItems()
    End Sub

    ' Remove an item from the list.
    Private Sub btnRemove_Click() Handles btnRemove.Click
        the_items.Remove(txtNewItem.Text)
        txtNewItem.Text = ""
        txtNewItem.Focus()
        ShowItems()
    End Sub
End Class
