﻿Public Class Form1
    Private Sub btnPickXmlFile_Click() Handles btnPickXmlFile.Click
        If dlgXmlFile.ShowDialog() = Windows.Forms.DialogResult.OK Then
            MessageBox.Show(dlgXmlFile.FileName)
        End If
    End Sub

    ' Ensure that the user only selects bitmap files.
    Private Sub dlgBitmapFile_FileOk(ByVal sender As System.Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles dlgBitmapFile.FileOk
        For Each file_name As String In dlgBitmapFile.FileNames
            ' See if this file name ends with .bmp.
            If Not file_name.EndsWith(".bmp") Then
                MessageBox.Show("File '" & file_name & _
                    "' is not a bitmap file", _
                    "Invalid File Type", _
                    MessageBoxButtons.OK, _
                    MessageBoxIcon.Exclamation)
                e.Cancel = True
                Exit Sub
            End If
        Next file_name
    End Sub

    Private Sub btnPickBitmapFile_Click() Handles btnPickBitmapFile.Click
        If dlgBitmapFile.ShowDialog() = Windows.Forms.DialogResult.OK Then
            Dim file_names As String = Strings.Join(dlgBitmapFile.FileNames, " ")
            MessageBox.Show(file_names)
        End If
    End Sub
End Class
