﻿Public Enum DessertType
    None
    IceCream
    Cake
    Pie
    Cookie
End Enum

' This is the data that the user will fill in.
' We set default values here.
Public Class WizardData
    Public Canceled As Boolean = True
    Public Appetizer As String = ""
    Public Entree As String = ""
    Public Salad As Boolean = False
    Public Drink As String = ""
    Public Dessert As DessertType = DessertType.None

    Public Overrides Function ToString() As String
        Return "Canceled: " & Canceled & _
            ", Appetizer: " & Appetizer & _
            ", Entree: " & Entree & _
            ", Salad: " & Salad.ToString & _
            ", Drink: " & Drink & _
            ", Dessert: " & Dessert.ToString
    End Function
End Class
